Variable: ClientListSchema
Makaio Framework / contracts/client / ClientListSchema
Variable: ClientListSchema
Section titled “Variable: ClientListSchema”
constClientListSchema:object
Defined in: ../../../packages/contracts/src/client/binary-management.ts:76
Request and response schemas for client.list.
Returns the local installation inventory for all managed clients, enriched with the latest-available-version from the upstream index.
Type Declaration
Section titled “Type Declaration”request
Section titled “request”request:
ZodObject<{forceRefresh:ZodOptional<ZodBoolean>; },$strip>
response
Section titled “response”response:
ZodObject<{clients:ZodArray<ZodObject<{activeVersion:ZodNullable<ZodString>;clientId:ZodString;installedVersions:ZodArray<ZodObject<{installedAt:ZodNumber;installPath:ZodString;isActive:ZodBoolean;version:ZodString; },$strip>>;latestAvailableVersion:ZodNullable<ZodString>;latestVersionLastCheckedAt:ZodNullable<ZodNumber>;latestVersionSourceStatus:ZodEnum<{cached:"cached";error:"error";fresh:"fresh"; }>;updateAvailable:ZodBoolean; },$strip>>; },$strip>